/* client program for recho -- send a linked list and receive it reversed */

import java.io.*;

class recho {

	public static void main(String argv[]) 
	{
		 if (argv.length < 1)
	    	{
			System.out.println("Usage: recho <host> ");
			System.exit(1);
		}
				
		String host = argv[0];

		p obj;
		p prev = null;
		p head = null;
		for (int i=0; i<10; i++)
		{
			obj = new p();
			if (i==0) head = obj;
			obj.x = i;
			if (prev != null) prev.y = obj;
			prev = obj;
		};

		xdr_p xrout = new xdr_p();

		p ans = new p();
		
		int clnt_stat = rpcinterface.callrpc(host, rechoconsts.PROGNUM, 
			rechoconsts.VERSNUM, rechoconsts.PROCNUM, xrout, head, xrout, ans);
		
		if (clnt_stat != 0) rpcinterface.clnt_perrno(clnt_stat);	   

		while (ans != null)
		{
		System.out.println("Echoed : elem :" + ans.x);
		ans = ans.y;
		};

	}
}
