/* ------------------------------------------------------------ */
/* -- Authors:						     -- */
/* --	Prasad Deshpande				     -- */
/* --	Avinash Sodani					     -- */
/* --							     -- */
/* --	Copyright (c) 1995  Computer Sciences Department     -- */
/* --	University of Wisconsin, Madison		     -- */
/* --	All rights reserved				     --	*/
/* ------------------------------------------------------------ */

#ifndef _PROCTAB_
#define _PROCTAB_

#define   MAXNETNAMELEN   255   /* defined in rpc/auth.h */
#define   MAXNUMPROCS	    1   /* Maximum number of proc that can be  register */
#define CFUNC(func, i)   func##i


typedef struct proctab_el {

     long                       prognum;
     long                       versnum;
     long                       procnum;
     struct Hservfunc           *procname;
     struct Hjava_lang_Object   *Inobj;
     struct Hjava_lang_Object   *Outobj;
     struct Hfunc               *inproc;
     struct Hfunc               *outproc;
 }ProcTab_el;  /* Procedure Table element */

extern ProcTab_el ProcTab[MAXNUMPROCS];
extern bool_t xdr_in0(XDR *, char *);
extern bool_t xdr_out0(XDR *, char *);
char *cfunc0(char *);

#endif
