/* ------------------------------------------------------------ */
/* -- Authors:						     -- */
/* --	Prasad Deshpande				     -- */
/* --	Avinash Sodani					     -- */
/* --							     -- */
/* --	Copyright (c) 1995  Computer Sciences Department     -- */
/* --	University of Wisconsin, Madison		     -- */
/* --	All rights reserved				     --	*/
/* ------------------------------------------------------------ */

public  class rpcinterface {

    static {
	System.loadLibrary("xrpc");
    }
    
    static public native int callrpc(String host, int prognum, int versnum, int procnum, 
				     func xdr_in, Object in, func xdr_out, Object out);
    
    static public native int clnt_call(int clnt, int procnum, func xdr_in, Object in, func xdr_out,
				       Object out, timeval timeout);
    
    static public native int clnt_create(String host, int prognum, int versnum, String nettype);
    
    static public native void clnt_destroy(int clnt);
    
    static public native void clnt_pcreateerror(String s);
    
    static public native void clnt_perrno(int stat);
    
    static public native void clnt_perror(int clnt, String s);
 
    static public native  void get_myaddress(sockaddr_in addr);

    static public native  int  getnetname(char netname[], int length);

    static public native  int  getrpcport(String host, int prognum, int versnum, int proto);

    static public native  int registerrpc(int prognum, int versnum, int procnum, 
	servfunc procname, func inproc, func outproc, Object inobj, Object outobj);

    static  public native void svc_run();

}

